Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class PadRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.PadRable8Bit

All Implemented Interfaces:
  RenderableImage, Filter, PadRable, PaintRable

    public class PadRable8Bit

extends AbstractRable
implements PadRable, PaintRable

Concrete implementation of the PadRable interface. This pads the image to a specified rectangle in user coord system.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`PadRable8Bit(Filter src, Rectangle2D padRect, PadMode padMode)`

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`Rectangle2D` | `getBounds2D()` Returns the bounds of the current image.
`Shape` | `getDependencyRegion(int srcIndex, Rectangle2D outputRgn)` Returns the region of input data is is required to generate outputRgn.
`Shape` | `getDirtyRegion(int srcIndex, Rectangle2D inputRgn)` This calculates the region of output that is affected by a change in a region of input.
`PadMode` | `getPadMode()` Get the current extension mode for pad
`Rectangle2D` | `getPadRect()` Get the current rectangle for padding
`Filter` | `getSource()` Returns the source to be affine.
`boolean` | `paintRable(Graphics2D g2d)` Should perform the equivilent action as createRendering followed by drawing the RenderedImage to Graphics2D, or return false.
`void` | `setPadMode(PadMode padMode)` Set the current extension mode for pad
`void` | `setPadRect(Rectangle2D rect)` Set the current rectangle for padding.
`void` | `setSource(Filter src)` Sets the source to be affine.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Constructor Detail

### PadRable8Bit

    public PadRable8Bit(Filter src,
                        Rectangle2D padRect,
                        PadMode padMode)

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be affine.

  Specified by:
    `getSource` in interface `PadRable`

### setSource

    public void setSource(Filter src)

  Sets the source to be affine.

  Specified by:
    `setSource` in interface `PadRable`
  Parameters:
    `src` - image to affine.

### getBounds2D

    public Rectangle2D getBounds2D()

  Description copied from interface: `Filter`
  Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### setPadRect

    public void setPadRect(Rectangle2D rect)

  Set the current rectangle for padding.

  Specified by:
    `setPadRect` in interface `PadRable`
  Parameters:
    `rect` - the new rectangle to use for pad.

### getPadRect

    public Rectangle2D getPadRect()

  Get the current rectangle for padding

  Specified by:
    `getPadRect` in interface `PadRable`
  Returns:
    Rectangle currently in use for pad.

### setPadMode

    public void setPadMode(PadMode padMode)

  Set the current extension mode for pad

  Specified by:
    `setPadMode` in interface `PadRable`
  Parameters:
    `padMode` - the new pad mode

### getPadMode

    public PadMode getPadMode()

  Get the current extension mode for pad

  Specified by:
    `getPadMode` in interface `PadRable`
  Returns:
    Mode currently in use for pad

### paintRable

    public boolean paintRable(Graphics2D g2d)

  Should perform the equivilent action as createRendering followed by drawing the RenderedImage to Graphics2D, or return false.

  Specified by:
    `paintRable` in interface `PaintRable`
  Parameters:
    `g2d` - The Graphics2D to draw to.
  Returns:
    true if the paint call succeeded, false if for some reason the paint failed (in which case a createRendering should be used).

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

### getDependencyRegion

    public Shape getDependencyRegion(int srcIndex,
                                     Rectangle2D outputRgn)

  Description copied from interface: `Filter`
  Returns the region of input data is is required to generate outputRgn.

  Specified by:
    `getDependencyRegion` in interface `Filter`
  Overrides:
    `getDependencyRegion` in class `AbstractRable`
  Parameters:
    `srcIndex` - The source to do the dependency calculation for.
    `outputRgn` - The region of output you are interested in generating dependencies for. The is given in the user coordiate system for this node.
  Returns:
    The region of input required. This is in the user coordinate system for the source indicated by srcIndex.

### getDirtyRegion

    public Shape getDirtyRegion(int srcIndex,
                                Rectangle2D inputRgn)

  Description copied from interface: `Filter`
  This calculates the region of output that is affected by a change in a region of input.

  Specified by:
    `getDirtyRegion` in interface `Filter`
  Overrides:
    `getDirtyRegion` in class `AbstractRable`
  Parameters:
    `srcIndex` - The input that inputRgn reflects changes in.
    `inputRgn` - the region of input that has changed, used to calculate the returned shape. This is given in the user coordinate system of the source indicated by srcIndex.
  Returns:
    The region of output that would be invalid given a change to inputRgn of the source selected by srcIndex. this is in the user coordinate system of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.